2018-12-12 18:30 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000021Branch 0.2.1-FINALBugpublic2016-11-23 10:09
Reporteruser13 
Assigned ToQuix0r 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformApache 2.2.9 - mod_php 5.2.6OSWindows Vista Ultimate x64 SP1OS Version6001 SP1
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000021: Layout-Fehler in ext-wernis
DescriptionBei aktivierter Erweiterung gibt es einen Header-Sent Fehler:

$0 __errorHandler(2, Cannot modify header information - headers already sent, E:\InternetProjekte\mailtausch\inc\functions.php, 147,
............
$1 header(HTTP/1.1 200) called at [E:\InternetProjekte\mailtausch\inc\functions.php:147]
$2 OUTPUT_HTML() called at [E:\InternetProjekte\mailtausch\inc\footer.php:82]
$3 include(E:\InternetProjekte\mailtausch\inc\footer.php) called at [E:\InternetProjekte\mailtausch\modules.php:161]

Achtung: dieser Fehler tritt unter IE in der Form auf.
Unter Opera werden einfach die ganzen News Oben dargestellt (inkl. nicht erkannter Sonderzeichen-Codierung) und keiner Fehlermeldung. Unter Opera wird auch der Wernis-News-Link im Gastmenü angezeigt. Hängt eventuell damit zusammen.


TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
related to 0000024closeduser13 Unterschiedliche GastMenü-Anzeige in Opera und IE 
+Relationships

-Notes

~0000060

Quix0r (administrator)

Ich könnte headers_sent() verwenden, und dann nur die Header senden, wenn headers_sent() false zurückgibt. Poste bitte die komplette Fehlermeldung.

~0000064

Quix0r (administrator)

Ich habe erstmal mit Revision 705 einen Backtrace eingebaut. Das kann natürlich nicht so bleiben, sondern soll helfen, den Bug einzukreisen.

~0000065

Quix0r (administrator)

Nur falls dieser auch an anderen Stellen auftreten sollte. :)

~0000067

user13

Also jetzt schreibt er ins debugLog folgende Meldung rein.
26.12.2008|21:27:15|ADD_FATAL|236| message=Aktionsmodul wernis_portalabout
{DBL_DOT}blank wurde gesperrt!

Hab zum Test mal ext-cache aktiviert --> gleicher Fehler.

~0000078

Quix0r (administrator)

Sobald mein PC wieder läuft setze ich mich mal ran. Hab derzeit nur handy und eine alte sun-station

~0000157

Quix0r (administrator)

Ob das seltsame Verhalten vom IE mit dem Cache-Handler von PHP (ob_end_clean() scheint nicht richtig zu funktionieren?) zusammenhaengen kann?

~0000158

Quix0r (administrator)

Ab dem naechsten Commit ist die Funktion clearOutputBuffer() dabei, die bei fehlschlagendem Versuch einen Fehler initiiert (trigger_error()).

~0000173

user13

Last edited: 2010-05-28 17:24

View 2 revisions

Jo noch immer gleicher Fehler. Nach meiner Meinung werden die WDS-News bereits beim einlesen inklusiven ganzem anderem Code bereits ausgegeben und weiter unten nochmal versucht als ganzes auszugeben.

Der Sourcecode ist auch unterschiedlich:
http://www.mxchange.stelzi.net.invalid/SourcecodeOpera.txt
http://www.mxchange.stelzi.net.invalid/SourcecodeIE.txt

In der IE-Version sind zusätzlich auch keine Variablen in den TPL ersetzt.

~0000254

Quix0r (administrator)

Die Methode finish() hat bei nicht gesetztem Parameter den gerenderten HTML-Code direkt ausgegeben.

Ich hab das mal umgeschrieben und ist beim naechsten Commit mit dabei.

~0000355

user13

Ist mit aktueller Rev behoben.

~0000674

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2008-12-22 22:58 user13 New Issue
2008-12-25 19:49 Quix0r Relationship added related to 0000024
2008-12-25 19:52 Quix0r Note Added: 0000060
2008-12-25 19:52 Quix0r Assigned To => Quix0r
2008-12-25 19:52 Quix0r Status new => assigned
2008-12-25 19:52 Quix0r Fixed in Version => 0.2.1-FINAL
2008-12-25 19:52 Quix0r Target Version => 0.2.1-FINAL
2008-12-25 20:01 Quix0r Note Added: 0000064
2008-12-25 20:01 Quix0r Status assigned => feedback
2008-12-25 20:03 Quix0r Note Added: 0000065
2008-12-26 20:29 user13 Note Added: 0000067
2008-12-27 02:38 Quix0r Note Added: 0000078
2008-12-27 02:38 Quix0r Status feedback => assigned
2009-02-07 22:09 Quix0r Note Added: 0000157
2009-02-07 22:10 Quix0r Priority normal => high
2009-02-07 22:10 Quix0r Status assigned => feedback
2009-02-07 22:10 Quix0r Projection none => minor fix
2009-02-07 22:10 Quix0r ETA none => 2-3 days
2009-02-07 22:10 Quix0r Description Updated
2009-02-07 22:18 Quix0r Note Added: 0000158
2009-02-07 22:18 Quix0r Assigned To Quix0r => user13
2009-02-07 22:18 Quix0r Description Updated
2009-02-09 12:14 user13 Note Added: 0000173
2009-02-09 12:18 user13 Note Edited: 0000173
2009-02-23 20:16 user13 Status feedback => assigned
2009-02-23 20:16 user13 Assigned To user13 => Quix0r
2009-02-23 22:49 Quix0r Note Added: 0000254
2009-02-23 22:50 Quix0r Assigned To Quix0r => user13
2009-02-23 22:50 Quix0r Status assigned => feedback
2009-07-28 16:13 user13 Note Added: 0000355
2009-07-28 16:13 user13 Status feedback => resolved
2009-07-28 16:13 user13 Resolution open => fixed
2009-11-25 21:47 Quix0r Product Version 0.2.1-FINAL =>
2009-11-25 21:47 Quix0r Build Rev. 702 => SVN-702
2010-05-28 17:13 Quix0r Product Version => 0.2.1-FINAL
2010-05-28 17:24 Quix0r Note Edited: 0000173 View Revisions
2013-07-22 15:21 Quix0r Assigned To user13 =>
2013-07-22 15:21 Quix0r Description Updated View Revisions
2013-07-22 15:21 Quix0r Assigned To => Quix0r
2013-07-22 15:21 Quix0r Status resolved => assigned
2013-07-22 15:21 Quix0r Status assigned => resolved
2016-11-23 10:09 Quix0r Note Added: 0000674
2016-11-23 10:09 Quix0r Status resolved => closed
+Issue History